@echo off

if NOT "%CATALINA_DEFINE%" == "" goto define_error

set CATALINA_TARGET=C:\Program Files\Catalina\custom

set CATALINA_DEFINE=PLUGIN %1 %2 %3 %4 %5 %6 %7 %8 %9

call catalina_env

del /q /f *.binary

@echo.
@echo    =========================
@echo    Building simple_test demo
@echo    =========================
@echo.

catalina -lc simple_test.c generic_plugin.c utilities.c 

@echo.
@echo    ==========================
@echo    Building complex_test demo
@echo    ==========================
@echo.

catbind -p
homespun ..\custom\Catalina_Plugin.spin -b
spinc catalina_plugin.binary > plugin_array.h
del /q /f Catalina_Plugin.binary
catalina -lc complex_test.c generic_plugin.c utilities.c

call unset CATALINA_DEFINE
goto done

:define_error
@echo.
@echo ERROR: Environment variable CATALINA_DEFINE is set (to %CATALINA_DEFINE%)
@echo.
@echo You must undefine this environment variable before using this 
@echo batch file, and instead specify the target on the command line.
@echo.

:done

